<script setup lang="ts">
import { onUnmounted, ref } from 'vue'
import { type ListnameSumpay } from '@/types/ListnameSumpay'
import { uselistnamesumpayStore } from '@/stores/listnamesumpay'
import ListNamePayReceipt from './ListNamePayReceipt.vue';
import { uselistnamepayStore } from '@/stores/listnamepay';
const listname = uselistnamepayStore()
const listnamepayStore = uselistnamesumpayStore()
const props = defineProps<{
  listnameSumpays: ListnameSumpay[]
}>()


onUnmounted(()=> {
  listname.removeall()
})
</script>

<template>
  <v-card>
    <v-table fixed-header height="500px" style="overflow: auto">
      <thead>
        <tr>
          <th class="text-center">Round</th>
          <th class="text-center">Date</th>
          <th class="text-center">Time</th>
          <th class="text-center">Employees</th>
          <th class="text-center">SumSalary</th>
          <th class="text-center">Status</th>
          <th class="text-center"></th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="item of listnameSumpays" :key="item.Round">
          <td class="text-center">{{ item.Round }}</td>
          <td class="text-center">{{ item.date }}</td>
          <td class="text-center">{{ item.time }}</td>
          <td class="text-center">{{ item.num }}</td>
          <td class="text-center">{{ item.SumSalary }} ฿</td>

          <td>
            <v-icon color="rgb(10, 185, 62)">mdi-checkbox-intermediate</v-icon>
            <span class="text-center" style="color: rgb(10, 185, 62)">{{ item.Status }}</span>
          </td>
          <td>
            <v-dialog width="500">
              <template v-slot:activator="{ props }">
                <v-btn
                  size="30"
                  v-bind="props"
                  prepend-icon="mdi-clipboard-text-clock-outline"
                ></v-btn>
              </template>
              <template v-slot:default="{ isActive }">
                <v-card title="History">
                  <div>
                    <v-card>
                      <v-table fixed-header height="500px" style="overflow: auto; width: 2400px">
                        <thead>
                          <tr>
                            <th class="text-center">FullName</th>
                            <th class="text-center">Salary</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr v-for="(employee, index) in item.name" :key="index">
                            <td class="text-center">{{ employee }}</td>
                            <td class="text-center">{{ item.Salary[index] }} ฿</td>
                            <td  class="text-center"><ListNamePayReceipt></ListNamePayReceipt></td>
                          </tr>
                        </tbody>
                      </v-table>
                    </v-card>
                  </div>
                  <v-card-actions>
                    <v-spacer></v-spacer>
                    <v-btn style="color: red" text="Close " @click="isActive.value = false"></v-btn>
                  </v-card-actions>
                </v-card>
              </template>
            </v-dialog>
          </td>
        </tr>
      </tbody>
    </v-table>
  </v-card>
</template>
<style scoped></style>
